MPC Software & MPC Beats Forum: Bug reports, feature suggestions and discussion for the MPC Software and the free 'MPC Beats' application for Mac/PC. If you have hardware-specific questions, please post in the relevant MPC sub-forum.
By Klangzaun Mon Jul 26, 2021 3:22 pm
The previous version works perfectly on my win7/64bit system.

Trying to install 2.10 an error occurs (0xc0000005). So I tried not to use the installer in the top level, but the setup in the folder. The installations goes well through all points.

Trying to start the MPC 2.1 software an error occurs that a specific DLL content couldn't loaded.

The MPC 2.1 software is the only program showing this error messages.

Any hint for me what else I could try?
User avatar
By MPC-Tutor Mon Jul 26, 2021 3:47 pm
Klangzaun wrote:The previous version works perfectly on my win7/64bit system.
Trying to install 2.10 an error occurs (0xc0000005). So I tried not to use the installer in the top level, but the setup in the folder. The installations goes well through all points.
Trying to start the MPC 2.1 software an error occurs that a specific DLL content couldn't loaded.

The MPC 2.1 software is the only program showing this error messages.

Any hint for me what else I could try?


1) check the other recent posts about this, we've discussed this already
2) Update your computer. Windows 7 is no longer supported by the MPC software, nor is it supported by Microsoft and no longer receives security updates.
By massimovisconti Mon Jul 26, 2021 4:39 pm
Hello
after updating to version 2.10 the vst plugin doesn't show up in my daw anymore.
I'm running Ableton 10 on a Mac with Mojave.
When I try to load the audio units version of the plugin, Ableton crashes immediately.

After a quick search on the internet I guess I'm not the only one having this issue.

Can you fix this?

Cheers
M
By Klangzaun Mon Jul 26, 2021 6:22 pm
MPC-Tutor wrote:1) check the other recent posts about this, we've discussed this already
2) Update your computer. Windows 7 is no longer supported by the MPC software, nor is it supported by Microsoft and no longer receives security updates.


Thanks a lot.

1) I checked the first 35 pages in this topic and couldn't find any clue.

2) Thanks for making it clear. I stay at Windows 7. My music computer isn't connected to the internet...
By Alan Codger Thu Jul 29, 2021 10:17 am
MPC-Tutor wrote:
Klangzaun wrote:The previous version works perfectly on my win7/64bit system.
Trying to install 2.10 an error occurs (0xc0000005). So I tried not to use the installer in the top level, but the setup in the folder. The installations goes well through all points.
Trying to start the MPC 2.1 software an error occurs that a specific DLL content couldn't loaded.

The MPC 2.1 software is the only program showing this error messages.

Any hint for me what else I could try?


1) check the other recent posts about this, we've discussed this already
2) Update your computer. Windows 7 is no longer supported by the MPC software, nor is it supported by Microsoft and no longer receives security updates.



I'm in the very same situation and nowhere written about 2.10 being for Win 10 Only?
User avatar
By MPC-Tutor Thu Jul 29, 2021 12:17 pm
Alan Codger wrote:I'm in the very same situation and nowhere written about 2.10 being for Win 10 Only?


Well this is on Akai, they don't advertise 'minimum' system requirements, It would save us all a lot of time if they just sorted this out and just put this info on the product page or in the manual.
By Hipnosyz Sat Jul 31, 2021 4:21 am
Anyone else getting crashes when exporting tracks that use Hype synth? Been using MPC 2 for about 7 months... just updated last week and was digging the update until now. Seems to be one specific project file. I tried exporting both full mixdowns and exploded tracks, and it crashed immediately on Win 10 Pro. I tried saving, resaving, removing unused samples, archiving and nothing worked. As I was posting this, I removed the second instance of Hype (diff. names) and tried again. Now it works. HA. Guess it doesn't like multiple instances. Maybe if I put it in a separate sequence?? I bounced all the MIDI but I was afraid I lost my track.
By themixtape Fri Oct 22, 2021 4:42 am
I stay on Win7/x64 for all my music. No intention on using 10 for any music, ever. What a drag that MPC Beats 2.10.0 won't work on Win7. Back to 2.8.3. No big deal. Still does everything I want it to do.

It's a shame you can't use Win7 Compatibility Mode, in the .exe properties, or run as Adminstrator.

Akai really needed to mention this. Further, when you sign up for MPC Beats (the free download), they still send you 2.8.3. I suppose that's good.... but yeah, the fact you can't run 2.10.0 unless you're on 10 is pretty annoying.

NI did the same thing with recent updates for the Maschine and Komplete Kontrol software. Not much of a heads-up.. just "you can't install this update, sorry", when you try.

But, there's nothing more annoying than installing a program, and then not being able to run it (as Akai does, poorly). At least NI won't even let you install it.
By FreddieM Sat Nov 27, 2021 6:49 am
I’m running on 7 also just bought a whole bunch of stuff for Black Friday and can’t use any of it unless I upgrade to 10 also this is crap!!! Think they’d mention it as your purchasing…. Where can I find the 2.8.3.exe so I can use that version? I’m running on an OpenLabs NEKO XXL windows 7 Serv pack 1
By AlatheaSquared Sun Jan 23, 2022 4:40 pm
Internet or not you can't realistically expect a software vendor to support updates to the software for an OS that is 2 versions old. Its not even a customer service issue at this point, other than not advertising minimum requirements- they could improve on that. It flies in the face of good development practice, and its a drain on programming resources that could be better spend elsewhere. /developer, IT support engineer